View Issue Details

IDProjectCategoryView StatusLast Update
0024167mantisbtbugtrackerpublic2018-04-11 04:37
ReporterdregadAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.12.0 
Target Version2.12.1Fixed in Version2.12.1 
Summary0024167: History entries display realname instead of username
Description

Following recent changes in how user/realnames are shown, the History entries are now showing the user's realname.

See attached screenshot (taken from 0024161)

Additional Information

I suggest applying the same fix as for the timeline: 0024090

TagsNo tags attached.

Relationships

related to 0023375 closedvboctor It is hard to @ mention users when show realnames is enabled 
related to 0024090 closedvboctor Username (Realnames) format not showing on timeline (my_view_page) 
related to 0024188 assignedatrol Update issue history code to display user names via standard APIs 

Activities

dregad

dregad

2018-03-26 07:18

developer  

atrol

atrol

2018-03-27 16:13

developer   ~0059325

PR https://github.com/mantisbt/mantisbt/pull/1321

Related Changesets

MantisBT: master-2.12 3b55fb9e

2018-03-27 16:05:31

atrol


Committer: vboctor Details Diff
Display usernames in history

Fixes 0024167
Affected Issues
0024167
mod - core/history_api.php Diff File

Issue History

Date Modified Username Field Change
2018-03-26 07:18 dregad New Issue
2018-03-26 07:18 dregad File Added: screenshot-20180326-1312.png
2018-03-26 07:18 dregad Relationship added related to 0023375
2018-03-26 07:19 dregad Relationship added related to 0024090
2018-03-26 07:20 dregad Summary History entries referencing user => History entries display realname instead of username
2018-03-26 07:20 dregad Description Updated View Revisions
2018-03-26 07:20 dregad Status new => confirmed
2018-03-27 16:12 atrol Assigned To => atrol
2018-03-27 16:12 atrol Status confirmed => assigned
2018-03-27 16:13 atrol Note Added: 0059325
2018-03-29 18:38 vboctor Changeset attached => MantisBT master-2.12 3b55fb9e
2018-03-29 18:38 atrol Status assigned => resolved
2018-03-29 18:38 atrol Resolution open => fixed
2018-03-29 22:05 atrol Fixed in Version => 2.12.1
2018-03-31 19:58 vboctor Status resolved => closed
2018-04-11 04:37 atrol Relationship added related to 0024188